package com.nosum.deliver.author.service;

import com.nosum.common.base.domain.PageInfo;
import com.nosum.deliver.author.domain.po.Author;
import com.nosum.deliver.author.domain.po.AuthorVideo;
import org.bson.types.ObjectId;

/**
 * 作者 VIDEO 服务层.
 *
 * @author Young
 */
public interface AuthorVideoService {

    /**
     * 保存作者 VIDEO.
     *
     * @param authorVideo 视频
     */
    void save(AuthorVideo authorVideo);

    /**
     * 作者视频分页查询.
     *
     * @param pageInfo 分页实体
     * @param author   作者
     * @return 分页列表
     */
    PageInfo<AuthorVideo> getPage(PageInfo<AuthorVideo> pageInfo, AuthorVideo author);

    /**
     * 根据 ID 查询作者信息.
     *
     * @param id ID
     * @return 作者信息
     */
    AuthorVideo getById(ObjectId id);

    void remove(ObjectId id);
}
